pub type Id = u64;
pub type FileSize = u64;
pub type ImageDimension = u64;

pub struct Post {
    id: Id,
    created_at: String,
    updated_at: String,
    tags: PostTags, 
    file: PostFile,
    rating: String,
    fav_count: u16,
    sources: Vec<String>,
    approver_id: Id,
    uploader_ud: Id,
    description: String,
    comment_count: u16,
    has_notes: bool,
    is_favorited: bool,
    change_seq: u128
}

pub struct PostTags {
    general: Vec<String>,
    artist: Vec<String>,
    copyright: Vec<String>,
    character: Vec<String>,
    invalid: Vec<String>,
    meta: Vec<String>,
    lore: Vec<String>
}

pub struct PostFile {
    width: ImageDimension,
    height: ImageDimension,
    ext: String,
    size: FileSize,
    md5: String,
    url: String
}
